Subject: bug#79348: 30.2; Left and right mouse buttons do not work in Emacs 30 on Windows 10

From: Alex <[email-masked]>
Date: Sun, 31 Aug 2025 14:08:51 +0300

Q: So Emacs is not being reported the mouse clicks.

Hmm...  So button clicks and dragging with left or right button don't work
anywhere except on the scroll bars?

What about dragging with the mouse the mode line between two windows--does
that resize the windows?

A: Dragging with the mouse the mode line between two windows does not work.

Works as expected:

Interactions with the menu (File Edit Options …)

Interactions with the scrollbars

Resizing frames

Hovering over elements changes the mouse cursor, shows tooltips and
feedback.

Switching between frames via mouse clicks inside frames works as expected,
but switching between windows by mouse clicks inside a frame does not work.

Q: In "Settings -> Bluetooth & devices -> Mouse", review all the settings,
especially the ones in "Additional mouse settings".

A: Reviewed. Standard mouse settings

Q: Can you try with a different mouse, like a simple optical mouse
connected via USB?

A: I tried with a simple optical mouse connected via USB (Logitech). The
situation is the same

вс, 31 авг. 2025 г. в 10:18, Eli Zaretskii <[email-masked]>:

> > From: Alex <[email-masked]>
> > Date: Sun, 31 Aug 2025 09:54:06 +0300
> > Cc: [email-masked]
> >
> > Q: And if you press "C-h l" (that's the letter ell, not the digit one)
> after pressing the mouse on the tool bar,
> > what does Emacs show in the *Help* buffer it pops up?
> >
> > A: The same text without changes:  C-h 1 ;; view-lossage
>
> So Emacs is not being reported the mouse clicks.
>
> > Q: So it sounds like Emacs doesn't get some of the mouse clicks in your
> case?
> >
> > A: Yes
> >
> > Q: What about dragging the scroll bar's thumb with the mouse-does that
> work?
> >
> > A: Works as expected
>
> Hmm...  So button clicks and dragging with left or right button don't
> work anywhere except on the scroll bars?
>
> What about dragging with the mouse the mode line between two
> windows--does that resize the windows?
>
> > Q: Maybe review the mouse settings to make sure nothing there prevents
> these clicks from being reported to
> > Emacs?
> >
> > A: I do not know what mouse setting to review. And in Emacs 29.3
> everything works fine. And in What’s new
> > I did not find essential changes in mouse operation
>
> In "Settings -> Bluetooth & devices -> Mouse", review all the
> settings, especially the ones in "Additional mouse settings".
>
> Emacs 30 added support for touch-screen devices, and more precise
> handling of mouse-wheel events.  But you say that your mouse is not a
> touchpad, and that the wheel works fine.  So I don't think I
> understand what changes in Emacs 30 could have caused the problem,
> sorry.
>
> Can you try with a different mouse, like a simple optical mouse
> connected via USB?
>
> Po Lu, any other ideas and suggestions?
>